com.microfocus.zserver.zexplorer

## Class ZServerResponseParserMVS

- java.lang.Object
- - ZServerResponseParser
  - - com.microfocus.zserver.zexplorer.ZServerResponseParserMVS

-     public class ZServerResponseParserMVS
      extends ZServerResponseParser

  Parses responses from certain zServer commands and creates data sets or member lists. Also interprets zServer error messages.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZServerResponseParserMVS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.core.runtime.IStatus` | `getLastParseError()` Gets the status of the last parsing.
    `java.util.List<IMvsResource>` | `parseListResponse(java.io.InputStream pXmlResponse, IMvsSubsystem pIMvsSubsystem)` Parses the response of the zServer commands `LISTDSI` and `LISTMEM`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pTagName, org.xml.sax.Attributes pAttributes)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZServerResponseParserMVS

          public ZServerResponseParserMVS()

  - ### Method Detail

    - #### parseListResponse

          public java.util.List<IMvsResource> parseListResponse(java.io.InputStream pXmlResponse,
                                                                IMvsSubsystem pIMvsSubsystem)
                                                         throws org.xml.sax.SAXException,
                                                                ZServerException,
                                                                java.io.IOException

      Parses the response of the zServer commands `LISTDSI` and `LISTMEM`
      Parameters:
        `pXmlResponse` - the zServer response to the `LISTDSI` or `LISTMEM` command
        `pIMvsSubsystem` - the MVS sub system
      Returns:
        a list of `MvsResource`s, which can be a list of `MvsDataset`s (`LISTDSI`) or `MvsDatasetMember`s (`LISTMEM`)
      Throws:
        `ZServerException` - if the zServer encounters a problem and returns an error message (severity greater than 'I')
        `org.xml.sax.SAXException` - if the parser encounters any problems or the response cannot be read at all
        `java.io.IOException` - if parsing the response fails

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String pUri,
                                   java.lang.String pLocalName,
                                   java.lang.String pTagName,
                                   org.xml.sax.Attributes pAttributes)
                            throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### getLastParseError

          public org.eclipse.core.runtime.IStatus getLastParseError()

      Gets the status of the last parsing.
      Returns:
        the last parse error

Copyright © 2015 Micro Focus GmbH. All rights reserved.